$(function() {
	initScreen();
	initMenu();
	initBtns();
	initTabs();
	initComponent();
});

function initScreen() {
	var layoutSettings = {
		closable : true, // パネルのオープン、クローズが可能
		resizable : true, // パネルをリサイジング可能に設定
		slidable : true, // スライド機能オン
		livePaneResizing : true, // メニューのリサイジング中にも画面表示
		north__spacing_open : 0,
		south__spacing_open : -1,
		west__size : 200,
		west__spacing_open : 5,
		west__spacing_closed : 20,
		west__fxName : "drop",
		west__fxSettings_open : {
			easing : "easeInQuint"
		},
		west__fxSettings_close : {
			easing : "easeOutQuint"
		},
		west__fxSpeed_open : 500,
		west__fxSpeed_close : 1000,
		west__togglerTip_open : "クローズ",
		west__togglerTip_closed : "オープン",
		west__togglerLength_closed : 100,
		west__togglerAlign_closed : 'top',
		west__togglerContent_closed : 'M<br>E<br>N<br>U', // 閉め状態の表示文字
		west__sliderTip : 'Slide Menu',
		west__slideTrigger_open : 'mouseover', // マウスオーバーでメニューエリア表示
		west__onresize : $.layout.callbacks.resizePaneAccordions // メニューエリアの自動リサイズ
	};

	$('body').layout(layoutSettings);
}

function initMenu() {
	$('#accordion>div>ul').menu().css('border', '0px solid red');
	$('#accordion').accordion({
		fillSpace : true
	});
}

function initBtns() {
	$('#systemButtons_riseki').button();
	$('#systemButtons_riseki').css({
		width : 80 + 'px',
		height : 28 + 'px',
		lineHeight : 28 + 'px'
	});
	$('#systemButtons_logout').button();
	$('#systemButtons_logout').css({
		width : 100 + 'px',
		height : 28 + 'px',
		lineHeight : 28 + 'px'
	});
}

function initTabs() {
	$('#systemTabs').tabs();
}

function initComponent() {
	$('#sampleCheckbox').checkbox();
	$('#sampleCombobox').combobox();
}